package com.ruoyi.web.modules.order.domain;

import java.util.Date;

/**
 * 商品评价 biz_goods_review
 */
public class BizGoodsReview
{
    private Long reviewId;

    private Long goodsId;

    private Long orderId;

    private Long orderItemId;

    private Long memberId;

    private Long shopId;

    private String memberNickName;

    private String memberAvatar;

    private String content;

    private Integer score;

    private String reviewPics;

    private String goodsMainPic;

    private String goodsSpec;

    private String replyContent;

    private String replyBy;

    private Date replyTime;

    private String showFlag;

    private String delFlag;

    private Date createTime;

    private Date updateTime;

    public Long getReviewId()
    {
        return reviewId;
    }

    public void setReviewId(Long reviewId)
    {
        this.reviewId = reviewId;
    }

    public Long getGoodsId()
    {
        return goodsId;
    }

    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public Long getOrderId()
    {
        return orderId;
    }

    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public Long getOrderItemId()
    {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId)
    {
        this.orderItemId = orderItemId;
    }

    public Long getMemberId()
    {
        return memberId;
    }

    public void setMemberId(Long memberId)
    {
        this.memberId = memberId;
    }

    public Long getShopId()
    {
        return shopId;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public String getMemberNickName()
    {
        return memberNickName;
    }

    public void setMemberNickName(String memberNickName)
    {
        this.memberNickName = memberNickName;
    }

    public String getMemberAvatar()
    {
        return memberAvatar;
    }

    public void setMemberAvatar(String memberAvatar)
    {
        this.memberAvatar = memberAvatar;
    }

    public String getContent()
    {
        return content;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public Integer getScore()
    {
        return score;
    }

    public void setScore(Integer score)
    {
        this.score = score;
    }

    public String getReviewPics()
    {
        return reviewPics;
    }

    public void setReviewPics(String reviewPics)
    {
        this.reviewPics = reviewPics;
    }

    public String getGoodsMainPic()
    {
        return goodsMainPic;
    }

    public void setGoodsMainPic(String goodsMainPic)
    {
        this.goodsMainPic = goodsMainPic;
    }

    public String getGoodsSpec()
    {
        return goodsSpec;
    }

    public void setGoodsSpec(String goodsSpec)
    {
        this.goodsSpec = goodsSpec;
    }

    public String getReplyContent()
    {
        return replyContent;
    }

    public void setReplyContent(String replyContent)
    {
        this.replyContent = replyContent;
    }

    public String getReplyBy()
    {
        return replyBy;
    }

    public void setReplyBy(String replyBy)
    {
        this.replyBy = replyBy;
    }

    public Date getReplyTime()
    {
        return replyTime;
    }

    public void setReplyTime(Date replyTime)
    {
        this.replyTime = replyTime;
    }

    public String getShowFlag()
    {
        return showFlag;
    }

    public void setShowFlag(String showFlag)
    {
        this.showFlag = showFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public Date getCreateTime()
    {
        return createTime;
    }

    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime)
    {
        this.updateTime = updateTime;
    }
}
